#pragma once

#include <cstddef>
#include <vector>
#include "commons.hh"


namespace HELL {

  class hCoeff {
  private:
    std::vector<double> h;
    void Init(process proc, void* pars);
  public:
    hCoeff(process proc, void* pars=NULL) { Init(proc, pars); };
    ~hCoeff();
    double hk(int k) { return h[k]; };
    std::vector<double> hk() { return h; };
  };

};
