#pragma once
#include <cmath>

using namespace std;



namespace HELL {

  extern double Dxi_Hqg(double xi);

  extern double Dxi_CLoff(double xi);
  extern double Dxi_CLoff(double xi, double y);
  extern double CLoff(double xi);

  extern double Dxi_C2off(double xi);
  extern double Dxi_C2off(double xi, double y);
  extern double C2off(double xi);

  extern double Dxi_Khgoff(double xi, double mQ);
  
  extern double Dxi_MC2off(double xi, Interpolator *interp);
  extern double Dxi_MCLoff(double xi, Interpolator *interp);
  extern double Dxi_MC2axoff(double xi, Interpolator *interp);
  extern double Dxi_MCLaxoff(double xi, Interpolator *interp);
  extern double Dxi_MC2CCoff(double xi, Interpolator *interp);
  extern double Dxi_MCLCCoff(double xi, Interpolator *interp);
  extern double Dxi_MC3CCoff(double xi, Interpolator *interp);

  extern double Dxi_CDYoff(double xi);




};

